<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.ListView?>
<?import javafx.scene.layout.BorderPane?>
<?import javafx.scene.layout.VBox?>
<?import javafx.scene.text.Font?>

<BorderPane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="400.0" prefWidth="600.0" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="sample.java.ControllerPrimary">
   <center>
      <ListView fx:id="listVehicles" orientation="VERTICAL" prefHeight="200.0" prefWidth="200.0" BorderPane.alignment="CENTER">
         <BorderPane.margin>
            <Insets left="10.0" right="10.0" />
         </BorderPane.margin></ListView>
   </center>
   <top>
      <Label text="Fahrzeuge verwalten" BorderPane.alignment="CENTER">
         <font>
            <Font size="29.0" />
         </font>
         <BorderPane.margin>
            <Insets bottom="10.0" top="10.0" />
         </BorderPane.margin>
      </Label>
   </top>
   <bottom>
      <Button id="btnZurueck" mnemonicParsing="false" onAction="#zurueck" text="Zurück" BorderPane.alignment="CENTER">
         <BorderPane.margin>
            <Insets bottom="10.0" top="5.0" />
         </BorderPane.margin>
      </Button>
   </bottom>
   <right>
      <VBox alignment="CENTER" prefHeight="200.0" prefWidth="100.0" spacing="5.0" BorderPane.alignment="CENTER">
         <BorderPane.margin>
            <Insets right="10.0" />
         </BorderPane.margin>
         <children>
            <Button fx:id="btnNeuFahrzeug" maxWidth="1.7976931348623157E308" mnemonicParsing="false" onAction="#fahrzeugErfassen" text="Neu" />
            <Button fx:id="btnBearbeiten" maxWidth="1.7976931348623157E308" mnemonicParsing="false" text="Bearbeiten" onAction="#fahrzeugBearbeiten"/>
            <Button fx:id="btnLoeschen" maxWidth="1.7976931348623157E308" mnemonicParsing="false" text="Löschen" onAction="#fahrzeugLoeschen"/>
         </children>
      </VBox>
   </right>
</BorderPane>
